// File    : DRVINFO.H
// Author  : Eric Woodruff,  CIS ID: 72134,1150
// Updated : Fri 12/16/94 21:27:32
// Note    : Copyright 1994, Eric Woodruff, All rights reserved
// Compiler: Borland C++ 3.1 to 4.02
//
// Drive types values and function prototype for GetDriveInfo()
//

// Valid drive types to search for in GetDriveInfo()
#define drRemoveableDrives   0x01       // Removeable disk drives
#define drFixedDrives        0x02       // Fixed disk drives
#define drRAMDrives          0x04       // RAM drives
#define drCDROMDrives        0x08       // CD-ROM drives
#define drNetworkDrives      0x10       // Network drives
#define drSubstitutedDrives  0x20       // Substituted drives
#define drAllValidDrives     0x3F       // All valid drives in the system

// This function gets information from the system and returns a NULL
// terminated string of drive letters of the specified type(s).
// NOTE:  The drive string must be at least 27 bytes in size!
void GetDriveInfo(char *DriveString, short DriveType);
